cgD3D9GetLastError(3)

NAME
cgD3D9GetLastError - get the last D3D error that occurred

SYNOPSIS
  #include <Cg/cgD3D9.h>
  HRESULT cgD3D9GetLastError( void );

PARAMETERS
None.

RETURN VALUES
Returns the last D3D error that occurred during an expanded interface function call.

Returns D3D_OK if no D3D error has occurred since the last call to cgD3D9GetLastError.

DESCRIPTION
cgD3D9GetLastError retrieves the last D3D error that occurred during an expanded interface function call. The last error is always cleared immediately after the call.

EXAMPLES
  HRESULT lastError = cgD3D9GetLastError();

ERRORS
None.

HISTORY
cgD3D9GetLastError was introduced in Cg 1.1.

SEE ALSO
cgD3D9TranslateHRESULT